Name:		xfce4-timer-plugin
Version:	0.6.1
Release:	7%{?dist}
Summary:	Timer for the Xfce panel

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
# http://git.xfce.org/panel-plugins/xfce4-timer-plugin/commit/?id=03ff202f818fe3f075a6c864ab688b57b1bb1cb4
# fixes https://bugzilla.redhat.com/show_bug.cgi?id=682458
Patch0:         xfce4-timer-plugin-0.6.1-fix-segfault-when-creating-plugin-in-4.8-panel.patch
# contains all translations from 
# http://translations.xfce.org/projects/p/xfce4-timer-plugin/c/master/ 
# as of 2011-03-05
Patch1:         xfce4-timer-plugin-0.6.1-update-translations.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.20, libxfcegui4-devel >= 4.3.0
BuildRequires:	libxml2-devel, gettext, intltool, perl(XML::Parser)
Requires:	xfce4-panel >= 4.4.0

%description
A timer for the Xfce panel. It supports countdown periods and alarms at 
certain times.


%prep
%setup -q
%patch0 -p1 -b .fix-segfault
%patch1 -p1 -b .update-translations


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libexecdir}/xfce4/panel-plugins/xfce4-timer
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Sat Mar 05 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.1-7
- Fix segfault when creating plugin in 4.8 panel (#682458)
- Update translations from Xfce Transifex

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Kevin Fenzi <kevin@tummy.com> - 0.6.1-5
- Rebuild for Xfce 4.8

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.1-2
- Rebuild for Xfce 4.6 (Beta 3)

* Thu Nov 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1
- BR intltool

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6-3
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.6-2
- Bump release due to tag collision

* Sat Dec 29 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.6-1
- Update to 0.6

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-3
- Rebuild for BuildID feature
- Update license tag

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-2
- Rebuild for Xfce 4.4.1

* Sat Jan 27 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1 on Xfce 4.4.

* Sat Sep 23 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5-1
- Initial Fedora Extras version.
